#!/usr/bin/env bash
#
# ...
#
# 使用方法:
# URL="https://git.1-h.cc/Scripts/Linux/raw/branch/main/1.sh"; curl -fsSL "$URL" | bash || wget -q -O - "$URL" | bash

set -e  # 遇到错误即退出
trap 'echo "Error on line $LINENO"' ERR

# 先检查是 Debian 还是 Alpine
if [ -f /etc/debian_version ]; then
    SYSTEM_TYPE="debian"
elif [ -f /etc/alpine-release ]; then
    SYSTEM_TYPE="alpine"
else
    echo "不支持的系统类型"
    exit 1
fi

# 检查系统类型
if [[ $SYSTEM_TYPE == *"Debian"* ]]; then
    echo "检测到 Debian 系统"
elif [[ $SYSTEM_TYPE == *"Alpine"* ]]; then
    echo "检测到 Alpine 系统"
else
    echo "不支持的系统类型: $SYSTEM_TYPE"
    exit 1
fi
